<?php
class WatchDogAppModel extends AppModel {

	public $tablePrefix = 'plugin_wd_';

	public $useTable = false;

# ~ Initialize the model from class registry - - - - - - - - - - - - - - - - - #
	protected static function model($modelName) {
		return ClassRegistry::init('WatchDog.' . $modelName);
	}

# ~ Get the all possible enum values - - - - - - - - - - - - - - - - - - - - - #
	public function getEnumOptions($field) {
		$schema = $this->schema($field);
		return @$schema['enum'];
	}

}
